---
name: "Bug Report"
about: "Create a report to help us improve"
labels: type:bug
---

<!--

Do you want to ask a QUESTION? Are you looking for SUPPORT?
We're happy to help you via our support channels! Please read: https://github.com/cryptomator/cryptomator/blob/develop/SUPPORT.md

By filing an issue, you are expected to comply with our code of conduct: https://github.com/cryptomator/cryptomator/blob/develop/.github/CODE_OF_CONDUCT.md

Of course, we also expect you to search for existing similar issues first! ;) https://github.com/cryptomator/cryptomator/issues?q=

-->

### Description

[Summarize your problem.]

### System Setup

* Operating system and version: [Windows/macOS/Linux + Version]
* Cryptomator version: [Shown in the settings]
* Drive: [Dokany/FUSE/WebDAV]

### Steps to Reproduce

1. [First step]
2. [Second step]
3. [and so on…]

#### Expected Behavior

[What you expect to happen.]

#### Actual Behavior

[What actually happens.]

#### Reproducibility

[Always/Intermittent/Only once]

### Additional Information

[Any additional information, log files, screenshots, configuration, or data that might be necessary to reproduce the issue.]

<!--

If you want to add the log file or screenshots, please add them as attachments. If your log file seems empty and doesn't show any errors, you may enable the debug mode first. Here is how to do that: https://community.cryptomator.org/t/how-do-i-enable-debug-mode/36

Then reproduce the problem to ensure all important information is contained in there. You may use test data or redact sensitive information from the log file.

Log file location:
- Windows: %appdata%/Cryptomator
- macOS: ~/Library/Logs/Cryptomator
- Linux: ~/.local/share/Cryptomator/logs

-->